#!/tvbin/tivosh

proc FileExists {filename} {
	if { [catch { set fd [open $filename "r"]}] == 1} {
		return error
	} else {
		return ok
	}	
}


#source $tcl_library/tv/Inc.itcl
#tvsource $tcl_library/tv/mfslib.tcl
#tvsource $tcl_library/tv/dumpobj.tcl
#EnableTransactionHoldoff true

set imagename [lindex $argv 0]

set newimagespec "$imagename.png"
set saveimagespec "$imagename.backup.png"
set mfspath "/Resource/Image/$imagename"

if {[FileExists $newimagespec]!="ok"} {
	puts "Error Opening File $newimagespec"
	return
}

set db [dbopen]

RetryTransaction {
    if {[catch {set obj [db $db open $mfspath]}]==1}    {
	   puts "Error opening MFS path $mfspath - "
         puts "   $imagename will NOT be replaced"
    } else {
	set oldimageid [dbobj $obj get "File"]

	if {[FileExists $saveimagespec]!="ok"} {
		puts "Saving old image ID $oldimageid to file $saveimagespec"
		FromMfs $saveimagespec $oldimageid 
	}

	puts "Installing image file $newimagespec"
	set newimageid [ToMfs $newimagespec]
	puts "New image resource id: $newimageid"
	dbobj $obj set "File" $newimageid
   }
}

